Skip to content

RUCKUS Edge (1.0.4)

Overview

Rate Limit

For the Edge REST API the following will be true:

  • Limits are applied to each tenant.
  • A maximum of 200 calls can be made per second.
  • Each second 100 calls will be returned to be used.
Download OpenAPI description
Languages
Servers
RUCKUS One API host for North American region.
https://api.ruckus.cloud
RUCKUS One API host for European region.
https://api.eu.ruckus.cloud
RUCKUS One API host for Asian region.
https://api.asia.ruckus.cloud

Edge DNS Configuration

Manage the DNS server for a Edge.

Operations

Edge Cluster Configuration

Manage the Edge cluster.

Operations

Edge LAG Configuration

Manage the link aggregation group for Edge devices.

Operations

Edge LAG Subinterface

Manage the subinterface of a LAG.

Operations

Tunnel Profile Configuration

Manage the tunnel profile.

Operations

Edge Subinterface Configuration

Manage the subinterface of a physical port.

Operations

Edge Static Route Configuration

Manage the static routes for a Edge.

Operations

Edge Multicast DNS Profile

Manage the Multicast DNS Profile for Edge devices.

Operations

Edge Troubleshooting

Manage troubleshooting operations for the devices.

Operations

Edge DHCP

Manage the DHCP services for Edge devices.

Operations

Edge Port Configuration

Manage the port of a Edge.

Operations

ARP Termination Settings

Configure ARP termination settings for a cluster.

Operations

Edge Compatibility Checking

Check the compatibility of Edge devices.

Operations

Edge Device Management

Edge device management operations.

Operations

Add Device

Request

Add a new device.

Path
venueIdstringrequired
clusterIdstringrequired
Bodyrequired
namestring[ 1 .. 64 ] charactersrequired

The name of the device.

descriptionstring

The description of the device.

serialNumberstringnon-emptyrequired

The serial number of the device.

{ "name": "string", "description": "string", "serialNumber": "string" }

Responses

Created

Body
requestIdstring

A unique identifier for the specific API request.

responseany

The response body containing the actual result data.

linksArray of objects(Link)

A collection of related resource links (HATEOAS) allowing clients to discover related resources.

Response
{ "requestId": "string", "response": null, "links": [ {} ] }

Get Device

Request

Get device by the serial number.

Path
venueIdstringrequired
clusterIdstringrequired
serialNumberstringrequired
No request payload

Responses

OK

Body
namestring

The name of the device.

descriptionstring

The description of the device.

Response
{ "name": "string", "description": "string" }

Delete Device

Request

Delete the device by the serial number.

Path
venueIdstringrequired
clusterIdstringrequired
serialNumberstringrequired
No request payload

Responses

OK

Body
requestIdstring

A unique identifier for the specific API request.

responseany

The response body containing the actual result data.

linksArray of objects(Link)

A collection of related resource links (HATEOAS) allowing clients to discover related resources.

Response
{ "requestId": "string", "response": null, "links": [ {} ] }

Update Device

Request

Patch the device configuration.

Path
venueIdstringrequired
clusterIdstringrequired
serialNumberstringrequired
Bodyrequired
namestring[ 1 .. 64 ] characters

The name of the device.

descriptionstring

The description of the device.

otpStatestring

The OTP state for the Edge device.

Value"RENEW"
{ "name": "string", "description": "string", "otpState": "RENEW" }

Responses

OK

Body
requestIdstring

A unique identifier for the specific API request.

responseany

The response body containing the actual result data.

linksArray of objects(Link)

A collection of related resource links (HATEOAS) allowing clients to discover related resources.

Response
{ "requestId": "string", "response": null, "links": [ {} ] }